SiteTemplateService_UpdateSiteTemplate

PUT /users/site-template/{siteTemplateId}

Operation id: SiteTemplateService_UpdateSiteTemplate

Tags: SiteTemplateService

Parameters

Path parameters

NameTypeRequiredDescription
siteTemplateIdstringYesId of the siteTemplate. Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
friendlyNamestringNo
departmentsarrayNo
rolesarrayNo
siteAttributesarrayNo
allRolesbooleanNo
allDepartmentsbooleanNo
allSiteAttributesbooleanNo
updateFieldMaskstringNo
attributesarrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "friendlyName": {
      "type": "string"
    },
    "departments": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "roles": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "roleId": {
            "type": "string"
          },
          "scope": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "autoAssigned": {
            "type": "boolean"
          },
          "tenantId": {
            "type": "string"
          }
        }
      }
    },
    "siteAttributes": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "allRoles": {
      "type": "boolean"
    },
    "allDepartments": {
      "type": "boolean"
    },
    "allSiteAttributes": {
      "type": "boolean"
    },
    "updateFieldMask": {
      "type": "string"
    },
    "attributes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "scope": {
            "type": "string"
          },
          "fieldName": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          }
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
siteTemplateIdstringNo
tenantIdstringNo
friendlyNamestringNo
departmentsarrayNo
rolesarrayNo
siteAttributesarrayNo
allRolesbooleanNo
allDepartmentsbooleanNo
allSiteAttributesbooleanNo
creationTimestring (date-time)No
lastUpdatedstring (date-time)No
attributesarrayNo
departmentDetailsarrayNoThe departments that the site_template is assigned to. This is to support UI for getting the details part of the graphQL query. In V3, we can remove the existing departments field and use this one instead.
{
  "type": "object",
  "properties": {
    "siteTemplateId": {
      "type": "string"
    },
    "tenantId": {
      "type": "string"
    },
    "friendlyName": {
      "type": "string"
    },
    "departments": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "roles": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "roleId": {
            "type": "string"
          },
          "scope": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "autoAssigned": {
            "type": "boolean"
          },
          "tenantId": {
            "type": "string"
          }
        }
      }
    },
    "siteAttributes": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "allRoles": {
      "type": "boolean"
    },
    "allDepartments": {
      "type": "boolean"
    },
    "allSiteAttributes": {
      "type": "boolean"
    },
    "creationTime": {
      "type": "string",
      "format": "date-time"
    },
    "lastUpdated": {
      "type": "string",
      "format": "date-time"
    },
    "attributes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "scope": {
            "type": "string"
          },
          "fieldName": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          }
        }
      }
    },
    "departmentDetails": {
      "type": "array",
      "description": "The departments that the site_template is assigned to. This is to support UI for getting the details part of the graphQL query.\nIn V3, we can remove the existing departments field and use this one instead.",
      "items": {
        "type": "object",
        "description": "Protobuf created to represent a Department.\nUsing this name because UniqueDepartmentProto is already used for another use case.",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "departmentName": {
            "type": "string"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}